libtemplates-parser (11.10-3) unstable; urgency=medium

  * Require gprbuild linking with -lgnat6 instead of -lgnat-5.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 27 Apr 2016 02:35:49 +0200

libtemplates-parser (11.10-2) unstable; urgency=medium

  * Build with gnat-6 and xmlada6, upload to unstable.
  * Enable all hardening flags, but PIE because we build a shared library.
    Put LDFLAGS before libraries in linker options.
  * Do not freeze clock for docs: pdflatex is being patched, and faketime
    triggers a recompilation of the library.
  * Switch from manual -dbg packages to automatic -dbgsym packages.
  * Move sphinx-common to Build-Depends-Indep.
  * tests: do not assume gnatmake supports GNAT projects.
  * Standards-Versions: 3.9.8 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Apr 2016 09:39:53 +0200

libtemplates-parser (11.10-1) experimental; urgency=medium

  * New upstream. Build with gprbuild, gnat 5 and xmlada 6.
  * Per Ada policy, rename lib/-dev packages and remove Conflict/Replace.
  * Author grants GCC Runtime Library and GNAT generics exceptions to GPL-3+.
    Drop Monotone repositories, get-orig-source target and header patches.
    Add a real watch file, downloading head of git branches used for releases.
  * Sort patches to minimize fuzz during next refresh.
    optimize-templates_parser.adb-as-other-sources fixes an upstream bug.
    explicit-that-build-doc-target-requires-tp_shared.diff: forwarded fix.
    xmlada-split.diff: handle XMLAda split in modules.
    no-need-for-gprclean.diff: avoid an infinite gprclean loop.
  * (style) Merge two ada_libraries settings into a single debhelper override.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 04 Apr 2016 15:20:54 +0200

libtemplates-parser (11.8.2014-5) unstable; urgency=medium

  * simplify rules, avoiding a circular symlink. Closes: #818416.
  * patches making more upstream flexible instead of rewriting it.
  * call dh_ada_library only during arch builds, fixing -indep builds.
  * remove libtemplates-parser-doc.links, redundant with sphinx-doc.
  * Standards-Version: 3.9.7 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 Apr 2016 18:12:24 +0200

libtemplates-parser (11.8.2014-4) unstable; urgency=medium

  * Freeze the clock for deterministic PDF timestamps.
    Touch generated sources for deterministic ALI files and tar headers.
  * rules: accept gnat (>= 5): versioned debian_packaging.mk
    and dh-ada-library (>= 6.5): search ali files in object directory too.
  * Standards-Version: 3.9.6 (no changes).
  * Remove XS-Testsuite: autopkgtest, now set automatically.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 22 Oct 2015 12:52:04 +0200

libtemplates-parser (11.8.2014-3) unstable; urgency=medium

  * Build-Depend: sphinx-common. dh_sphinxdoc is needed during -arch rebuilds.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Aug 2014 21:23:56 +0200

libtemplates-parser (11.8.2014-2) unstable; urgency=medium

  * Rebuild with libxmlada5-dev. Closes: #757622. Per Ada policy, -dev package
    is renamed 11.8.2014 -> 11.8.2015 and Replaces/Conflicts previous version.
  * Rely on dh_sphinxdoc for -doc package JavaScript dependencies.
  * Generate the version instead of always updating a patch.
  * Remove obsolete wildcard in -dbg lintian override.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Aug 2014 02:50:33 +0200

libtemplates-parser (11.8.2014-1) unstable; urgency=medium

  * New upstream release, build with gnat-4.9.
    Library and -dev package renamed due to Ada policy.
    Remove work-around for #687642 (fixed in gnat-4.9).
  * Documentation now builds with sphinx.
  * Standards-Version: 3.9.5 (no changes).
    Machine-readable copyright format.
  * rules: run-tests target obsoleted by sadt from devscripts.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 22 May 2014 23:44:15 +0200

libtemplates-parser (11.6-4) unstable; urgency=low

  * Linker option avoiding FTBFS on arm* because of gnat bug #687642.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 28 Aug 2013 20:24:38 +0200

libtemplates-parser (11.6-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Ignore complex and unconfigurable upstream build system for most targets.
  * Autopkg tests.
  * Switch to debhelper 9.
  * Use multiarch paths, generate the system project accordingly.
  * Use dh-ada-library to simplify debian/rules.
    Lintian override: generated lib->dbg dependency reported as missing.
    When many implementation, only install the one used to build.
    -dev: depends on xmlada-dev, not the library.
  * texinfo5.patch: Closes: #707517.
    Avoid recompiling the library for the examples.
    Do not embed unused css in documentation.
    Install doc programs as examples (without execution permission).
  * Upstream changelog. Doc-base registration. Informative watch file.
  * Explicit Build-Depends-Indep: mawk | awk.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Aug 2013 06:56:00 +0200

libtemplates-parser (11.6-2) unstable; urgency=low

  * Tighten build dependency on gnat-4.6 (>= 4.6.1-6).  Fixes FTBFS on
    kfreebsd-amd64, kfreebsd-i386.
  * debian/patches/disable-inlining.diff: new; work around compiler bug
    #642981 on armel.
  * debian/rules (clean): adjust to the new upstream version.

 -- Ludovic Brenta <lbrenta@debian.org>  Mon,  3 Oct 2011 01:01:11 +0200

libtemplates-parser (11.6-1) unstable; urgency=low

  [Xavier Grave]
  * new upstream version 11.6
    - remove executable bit in *.ad[sb] files in the installed
      packages
  * add get-orig-source target
    - use bdf9f07b1b98db7064abab7564892a9736b2edd9 of
      com.adacore.templates_parser.debian
  * remove unused build.gpr file
  * Take new gcc-multilib scheme into account
    - put libs in /usr/lib/$(DEB_HOST_MULTIHARCH)
    - modify control and lintian files accordingly
  
  [Ludovic Brenta]
  * debian/control (Architectures): any.
    (Uploaders): add Xavier.
    (DM-Upload-Allowed): yes.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Mon, 12 Sep 2011 16:48:49 +0200

libtemplates-parser (11.5-4) unstable; urgency=low

  * debian/control (*-dev): depend on gnat, ada-compiler.
    (*-dbg, *-doc): suggest gnat, gnat-4.4, ada-compiler.
    (*-doc): add ${misc:Depends} to Depends (lintian warning).
    (Standards-Version): update to 3.8.4 with no changes required.
  
  [Xavier Grave]
  * debian/patches/makefile-multicore.patch: new, use one compiler job
    per processor core present in the system instead of hardcoded 2.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 13 Jun 2010 17:59:18 +0200

libtemplates-parser (11.5-3) unstable; urgency=medium

  * debian/control (Architectures):
    - temporarily disable mips due to #566234.
    - add armel.  Closes: #568444.
    - s/docs/doc/.  Closes: #568474.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun,  7 Feb 2010 22:55:42 +0100

libtemplates-parser (11.5-2) unstable; urgency=low
  
  * templates_parser.gpr: new Naming package to let applications
    find templates_parser-configuration__standalone.ads.
  * Split the documentation into a new package.
  * debian/control (Build-Depends-Indep): new.
  * debian/rules: support dpkg-buildpackage -A, -B.
  * debian/patches/GPL.patch: new, the GPL also applies to the doc.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 31 Dec 2009 23:51:53 +0100
  
libtemplates-parser (11.5-1) unstable; urgency=low
  
  * New upstream version (Subversion revision 145737).
  * Set aliversion=11.5, soversion=11.5 per Debian Policy for Ada.
  * Package renamings:
    libtemplates-parser-dev   -> libtemplates-parser11.5-dev
                                 (with Conflicts: and Replaces:)
    libtemplates-parser11     -> libtemplates-parser11.5
    libtemplates-parser11-dbg -> libtemplates-parser11.5-dbg
  * Build-Depend and Depend on gnat-4.4 instead of gnat-4.3.
  * Build-Depend on libxmlada3.2-dev instead of libxmlada-dev.
  * Drop support for alpha due to http://gcc.gnu.org/PR42073.
  * debian/rules: parse the aliversion and soversion from debian/control.
  * debian/patches/GPL.patch: remove; merged into the .orig.tar.gz.
  * debian/patches/library_version.patch: adjust.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue,  1 Dec 2009 22:19:20 +0100
  
libtemplates-parser (11.1-3) unstable; urgency=low

  * Tighten build-dependency on libxmlada-dev to (>= 3.0-6) to force
    a recompile.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 13 Sep 2009 16:22:42 +0200

libtemplates-parser (11.1-2) unstable; urgency=low

  * debian/control (Architecture): add kfreebsd-amd64.  Closes: #542415.
    (Depends): add ${misc:Depends} for proper support for debhelper.
    s/source:Version/binary:Version/g.
    (Standards-Version): bump to 3.8.3.
    (libtemplates_parser11-dbg): new package containing the detached
    debugging symbols.
  * debian/compat: bump to 7.
  * patches: move to debian/patches; adjust all patches to quilt -p ab.
  * debian/rules: adjust to source format 3.0 (quilt).
  * debian/clean: new.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 13 Sep 2009 15:20:22 +0200

libtemplates-parser (11.1-1) unstable; urgency=low

  * New upstream release.
  * Change soname to libtemplates_parser.so.11, and binary package name
    to match.
  * debian/control: update Standards-Version to 2.7.3 with no changes.
    Migrate to gnat-4.3.  Migrate to texlive-{generic,fonts}-recommended
    and texlive-latex-base.  Add support for mips, mipsel and ppc64.
  * debian/compat: new.
  * debian/rules: do not export DH_COMPAT anymore.  Use upstream's library
    project files to build, instead of our own.
  * debian/templates_parser.gpr: turn into a library project file.
  * patches/make.patch: new; when executing programs compiled as
    part of the doc, look for libtemplates_parser.so in the proper place.
  * patches/library-version.patch: new; specify the soname of the
    shared library.
  * debian/templates2ada.1, debian/templatespp.1: new.
  * patches/GPL.patch: new; remove the GMGPL special exception text from
    generated documentation, too.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed, 14 May 2008 21:42:30 +0200

libtemplates-parser (10.0+20080424-1) unstable; urgency=low

  * compilation with last svn sources and gnat-4.3

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Thu, 24 Apr 2008 10:38:00 +0200

libtemplates-parser (10.0+20060522-5) unstable; urgency=low

  * debian/rules: add an empty binary-indep target.  Closes: #395713.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 29 Oct 2006 00:58:25 +0200

libtemplates-parser (10.0+20060522-4) unstable; urgency=low

  * debian/control: add alpha and s390, as libgnat now exists on these
    archs.  Closes: #380572.
  * debian/rules: use /bin/bash explicitly.  Closes: #380615.

 -- Ludovic Brenta <lbrenta@debian.org>  Mon,  7 Aug 2006 18:19:32 +0200

libtemplates-parser (10.0+20060522-3) unstable; urgency=low

  * debian/control build-depend on texinfo.

 -- Ludovic Brenta <lbrenta@debian.org>  Fri, 28 Jul 2006 20:39:39 +0200

libtemplates-parser (10.0+20060522-2) unstable; urgency=low

  * debian/rules: chmod docs/gentexifiles to be executable, fixes FTBFS.

 -- Ludovic Brenta <lbrenta@debian.org>  Fri, 28 Jul 2006 20:13:50 +0200

libtemplates-parser (10.0+20060522-1) unstable; urgency=low

  * Initial version, to be used in both AWS and GPS.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 20 Jul 2006 01:14:04 +0200

Local variables:
left-margin: 2
End:
